/*
Theme Name: Blocksy Child Sideral Studio 2026
Theme URI: https://sideralstudio.net/
Template: blocksy
Author: Karen
Author URI: https://sideralstudio.net/
Description: Blocksy is a fast, modern WordPress theme with advanced WooCommerce support and full compatibility with the block editor.
Tags: accessibility-ready,blog,block-patterns,e-commerce,wide-blocks,block-styles,grid-layout,one-column,two-columns,three-columns,four-columns,right-sidebar,left-sidebar,translation-ready,custom-colors,custom-logo,custom-menu,featured-images,footer-widgets,full-width-template,theme-options,threaded-comments
Version: 2.1.32.1772505447
Updated: 2026-03-02 23:37:27

*/

.cursor-star {
  position: absolute;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  pointer-events: none;
  opacity: 0.9;
  z-index: 9999;
  animation: starFade 0.6s ease-out forwards;
}

/* Mapeamento das cores do Blocksy */
.cursor-star.cor-1 { background-color: var(--paletteColor1); box-shadow: 0 0 10px var(--paletteColor1); }
.cursor-star.cor-2 { background-color: var(--paletteColor2); box-shadow: 0 0 10px var(--paletteColor2); }
.cursor-star.cor-3 { background-color: var(--paletteColor3); box-shadow: 0 0 10px var(--paletteColor3); }
.cursor-star.cor-4 { background-color: var(--paletteColor4); box-shadow: 0 0 10px var(--paletteColor4); }

@keyframes starFade {
  to {
    transform: translateY(-12px) scale(0.4);
    opacity: 0;
  }
}